4 Replies Latest reply on Feb 15, 2012 4:49 AM by Simon Jongsma

    I am not able to run jboss-eap-5.1 but its working fine in jboss-5.1.0.GA

    gopi balagala Newbie

      Hi,

       

              I am not able to running arquillian container in jboss-eap-5.1 but It's working fine jboss-5.1.0.GA.

       

          I am running Test cases at least not hitted my Jboss-eap5.1 server, this is my configuration files, If any thing changes required,

          please help me.

       

       

          arquillian.xml

          -------------------

          <?xml version="1.0"?>

       

          <arquillian xmlns="http://jboss.com/arquillian"

                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

                  xmlns:jboss="urn:arq:org.jboss.arquillian.container.jbossas.remote_5_1">

          <engine>

              <deploymentExportPath>target/</deploymentExportPath>

          </engine>

          <jboss:container>

              <bindAddress>localhost</bindAddress>

              <httpPort>8080</httpPort>

          </jboss:container>

          </arquillian>

       

       

      Jndi.properties

      ---------------------------

       

      java.naming.factory.initial=org.jnp.interfaces.NamingContextFactory

      java.naming.factory.url.pkgs=org.jboss.naming\:org.jnp.interfaces

      java.naming.provider.url=jnp://localhost:1099

       

       

       

       

      Thanks & Regard's,

      Gopi Balagala.

        • 1. I am not able to run jboss-eap-5.1 but its working fine in jboss-5.1.0.GA
          Aslak Knutsen Master

          The easy and most honest answer is, EAP 5.1 is not currently supported.

           

          It is however possible to get it to run, but it takes some hacking. EAP 5.1 is between JBoss AS 5.1 and 6. So using the JBoss AS 6 Remote contianer, with the EAP 5.1 client lib it should run.

          • 2. I am not able to run jboss-eap-5.1 but its working fine in jboss-5.1.0.GA
            geuze Newbie

            Dear Aslak,

             

            I have the same issue. I have Arquillian running on JBoss AS 6. However ascompany we switched to JBoss EAP 5.1.0. I would really like to get my unittests(I wrote many of them) working on EAP 5.1.0.

             

            Therefore can you be more explicit how I should edit my pom.xml to get thisworking. I tried already a few things myself, but I cannot get it working. Iadded my working profile for JBoss AS 6 below.

             

            I really hope you can help.

             

            Greets,

             

            Marinus

             

                    <profile>

                        <id>jbossas-remote-6</id>

                        <dependencies>

                            <dependency>

                                <groupId>org.jboss.arquillian.container</groupId>

                                <artifactId>arquillian-jbossas-remote-6</artifactId>

                                <version>${arquillian.version}</version>

                            </dependency>

                            <dependency>

                                <groupId>org.jboss.jbossas</groupId>

                                <artifactId>jboss-as-profileservice-client</artifactId>

                                <version>6.0.0.Final</version>

                                <type>pom</type>

                            </dependency>

                            <dependency>

                                <groupId>org.jboss.jbossas</groupId>

                                <artifactId>jboss-as-server</artifactId>

                                <classifier>jmx-invoker-adaptor-client</classifier>

                                <version>6.0.0.Final</version>

                            </dependency>

                            <dependency>

                                <groupId>org.jboss.spec</groupId>

                                <artifactId>jboss-javaee-6.0</artifactId>

                                <version>1.0.0.Beta4</version>

                                <type>pom</type>

                                <scope>provided</scope>

                            </dependency>

                        </dependencies>

                    </profile>

            • 3. I am not able to run jboss-eap-5.1 but its working fine in jboss-5.1.0.GA
              geuze Newbie

              Hello everyone,

               

              I've got it working. This is my new profile:

               

                      <profile>

                          <id>jboss-remote-5</id>

                          <dependencies>

                              <dependency>

                                  <groupId>org.jboss.arquillian.container</groupId>

                                  <artifactId>arquillian-jbossas-remote-5.1</artifactId>

                                  <version>${arquillian.version}</version>

                              </dependency>

                              <dependency>

                                  <groupId>org.jboss.jbossas</groupId>

                                  <artifactId>jboss-as-client</artifactId>

                                  <version>5.1.0.GA</version>

                                  <type>pom</type>

                                  <scope>test</scope>

                              </dependency>

                              <dependency>

                                  <groupId>org.jboss.man</groupId>

                                  <artifactId>jboss-managed</artifactId>

                                  <version>2.1.1.SP2</version>

                                  <scope>system</scope>

                                  <systemPath>D:/JBossEAP51/jboss-as/lib/jboss-managed.jar</systemPath>

                              </dependency>

                              <dependency>

                                  <groupId>org.jboss.integration</groupId>

                                  <artifactId>jboss-profileservice-spi</artifactId>

                                  <version>5.1.0.GA</version>

                                  <scope>system</scope>

                                  <systemPath>D:/JBossEAP51/jboss-as/client/jboss-profileservice-client.jar</systemPath>

                              </dependency>

                          </dependencies>

                      </profile>

              • 4. Re: I am not able to run jboss-eap-5.1 but its working fine in jboss-5.1.0.GA
                Simon Jongsma Newbie

                Dear Mr Aslak,

                 

                We tried to use the dependencies indicated by Mr Geuze (that worked against JBoss EAP 5.1.0) to get Arquillian to work with JBoss EAP 5.1.2 as well but got the following error:

                org.jboss.arquillian.spi.client.container.LifecycleException: Could not connect to container

                    at org.jboss.arquillian.container.jbossas.remote_5_1.JBossASRemoteContainer.start(JBossASRemoteContainer.java:83)

                    at org.jboss.arquillian.impl.client.container.ContainerLifecycleController$5.perform(ContainerLifecycleController.java:145)

                ....

                Caused by: java.lang.SecurityException: Authentication exception, principal=null

                    at org.jboss.aspects.security.AuthenticationInterceptor.authenticate(AuthenticationInterceptor.java:142)

                 

                We then replaced jboss-profileservice-client.jar in nexus with the 5.1.2. supplied version: no luck same error.

                 

                Are there other jar differences / extra dependencies for 5.1.2. to be expected?